Inhoud

# Functie IsObject

Test of een variabele een object is, dus geen primitief gegevenstype zoals een datum, getal of tekst. De functie retourneert True als de variabele een object is, anders retourneert het False.

Deze functie retourneert True voor de volgende objecttypes:

- OLE-objecten en UNO-objecten

- Objectinstanties Klassenmodule

- Uitgebreide types of opsommingen

- Routines of variabelen indien gedefinieerd als Object.

- LibreOffice Basic-modules

Bij datastructuren is de returnwaarde True, ook al zijn ze leeg. Bij variabelen die gedefinieerd zijn als object is de returnwaarde True, ook als ze niet geïnitialiseerd zijn.

### Syntaxis:

IsObject(var)

### Geretourneerde waarde:

Booleaans

### Parameters:

var: De te testen variabele.

### Foutcodes:

5 Ongeldige aanroep van procedure

Verwante onderwerpen

Functie EqualUnoObjects

Instructie Enum

Instructie Option ClassModule

Instructie Type

Variabelen gebruiken